;;; 50tcd-format.el -- debian emacs setups for tcd-format. -*- mode: emacs-lisp -*-

;; Copyright 2009, 2012, 2014, 2019 Kevin Ryde

;; This file is part of tcd-format.
;;
;; tcd-format is free software; you can redistribute it and/or modify it under
;; the terms of the GNU General Public License as published by the Free
;; Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; tcd-format is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(let ((dir (concat "/usr/share/"
                   (symbol-name debian-emacs-flavor)
                   "/site-lisp/tcd-format")))

  (cond ((not (file-exists-p "/usr/share/emacs/site-lisp/tcd-format/tcd-format.el"))
         (message "tcd-format removed but not purged, skipping setup"))

        ((not (file-exists-p (expand-file-name "tcd-format.el" dir)))
         ;; autoloads not available until install script succeeds, ignore until
         ;; then for the benefit of other byte compiling, such as emacsen-common
         ;; compiling 00debian-vars.el
         (message "tcd-format not yet byte-compiled, skipping setup"))

        (t
         ;; debian-pkg-add-load-path-item as from debian 3.1 "sarge",
         ;; emacsen-common 1.4.14 of June 2002
         (debian-pkg-add-load-path-item dir)
         
         ;; the following autoloads generated by my-generate-autoloads.el,
         ;; by an eval of the following form ...
         ;;
         ;; (load-file "my-generate-autoloads.el")

;;;### (autoloads nil "../tcd-format" "../tcd-format.el" (23793 54962
;;;;;;  365655 529000))
;;; Generated autoloads from ../tcd-format.el

(modify-coding-system-alist 'file "\\.tcd\\'" 'raw-text-unix)
(add-to-list 'format-alist '(tcd "XTide tide constituent data file." "\\`\\[VERSION] = PFM Software - libtcd" tcd-format-decode tcd-format-encode t nil))
(autoload 'tcd-format-encode "tcd-format")
(autoload 'tcd-format-decode "tcd-format")

;;;***

)))
